#include <iostream>
#include <vector>	
#include <algorithm>
#include <cmath>
#include <set>
#include <map>
#define pii pair<int,int>
using namespace std;
vector<int> solve(vector<int>a) {
	vector<int>ans;
	for (int i = 0; i < a.size(); i++) {
		ans.push_back(i);
	}
	return ans;
}
int main() {
	int tt;
	cin >> tt;
	while (tt--) {
		int n;
		cin >> n;
		if (n <= 250) {
			vector<int>a(n);
			for (int i = 0; i < n; i++) {
				cin >> a[i];
			}
			solve(a);
		}
	}
}